package com.ankaibei.workFlow.webadmin.ankaibei.api;



import com.ankaibei.workFlow.webadmin.ankaibei.entity.ProjectTeamInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.utils.ApiMixin;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ProjectInfoVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ProjectTeamInfoVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.UserInfoVo;

import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/13 10:23
 */
public interface ProjectTeamApi extends ApiMixin<ProjectTeamInfoVo, Integer> {


    ResMsg findProjectTeamAll(ProjectTeamInfoVo projectTeamInfoVo);

    ResMsg findProjectTeamUser(UserInfoVo userInfoVo);

    ResMsg updateProjectTeam(ProjectTeamInfoVo projectTeamInfoVo);

    boolean deleteBatchUser(List<UserInfoVo> userInfoVos);

    ResMsg addUser(UserInfoVo userInfoVo);

    ResMsg updateUser(UserInfoVo userInfoVo);

    ResMsg findById(Long userInfoVo);

    ResMsg findPrincipal();

    ResMsg findTeamUser(ProjectTeamInfoEntity projectTeamInfoEntity);

    ResMsg addProjectTeam(ProjectTeamInfoVo projectTeamInfoVo);

    ResMsg addProjectTeamUser(ProjectTeamInfoVo projectTeamInfoVo);

    ResMsg removeUser(ProjectTeamInfoVo projectTeamInfoVo);

    ResMsg findUserProject(Long userId);
}
